Package: javax.swing.tree

## Class TreePath

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `Object` | `getAt(int index)` Support the subscript operator for TreePath.
    `Iterator` | `iterator()` Returns an Iterator which traverses the TreePath one path at a time.
    `TreePath` | `leftShift(Object p)` Overloads the left shift operator to provide an easy way to add paths to a treePath.
    `int` | `size()` Provide the standard Groovy `size()` method for `TreePath`.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

- - ### Methods Detail

    - #### public Object getAt(int index)

      Support the subscript operator for TreePath.

      Parameters:
        `index` - the index of the path to get
      Returns:
        the path at the given index
      Since:
        1.6.4

    - #### public Iterator iterator()

      Returns an Iterator which traverses the TreePath one path at a time.

      Returns:
        an Iterator for a TreePath
      Since:
        1.6.4

    - #### public TreePath leftShift(Object p)

      Overloads the left shift operator to provide an easy way to add paths to a treePath.

      WARNING: this operation returns a new TreePath, not the original one.

      Parameters:
        `p` - an object to be added to the treePath.
      Returns:
        same treePath, after the value was added to it.
      Since:
        1.6.4

    - #### public int size()

      Provide the standard Groovy `size()` method for `TreePath`.

      Returns:
        the path count of the treePath
      Since:
        1.6.4